{% extends '/easyAdmin/layout/linked_user_layout.html.twig' %}

{% block title %}{% trans %}Add product images{% endtrans %}{% endblock %}

{% block content %}
<div class="overlay">
    <div class="popup">
        <div class="card border-dark -d flex align-content-between">
            <div class="card-header">
                {% include 'ressources/exit_button.html.twig' %}
                <h5 class="card-title">{% trans %}Images{% endtrans %}</h5>
            </div>
            <div class="card-body">
                {{form_start (form)}}
                <div class="col-sm-9">
                    {{ form_row(form.imageFile) }}
                    <div class="col-sm-3">
                        {% if not images.empty %}
                            {% for image in images %}
                                {% set includeImage = image.filepath ~ '/' ~ image.imageName %}
                                <img src="{{ asset(includeImage) }}" height="100">
                            {% endfor %}
                        {% else %}
                            {% set includeImage = 'img/downimg.png' %}
                            <img src="{{ asset(includeImage) }}" height="100">
                        {% endif %}
                    </div>
                    <button class="register-button">{% trans %}Upload from local{% endtrans %}</button>
{#  TODO add from library                  <a href="{{ path( 'app_company_investment_add_product_upload_from_library',{#}
{#                                    'companySlug': app.request.get('companySlug'),#}
{#                                    'productReference': app.request.get('productReference') } ) }}"#}
{#                                    class="register-button  float-right">{% trans %}Add from library{% endtrans %}#}
{#                    </a>#}
{#                    <a href="{{  }}"></a>#}

                    {{form_end (form)}}

                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %}